<!DOCTYPE html>
<head>
	<link href="css/checkstyle.css" rel="stylesheet">
</head>
<body>
	<div class="main">
		<div class="topbar"></div>
		<div class="social_icon">
			<div class="icon">
				<a href="https://www.facebook.com/gaming/RonEjRivera"><img src="image/facebook.png" ></a>
			</div>
			<div class="header_right">
				<div class="login_register">
					<a href="">Login /  </a>
					<a href="">Register</a>
				</div>
			</div>	
		</div><!--social_icon/login/cart-->
	
		<div class="header">
			<div class="container">
				<!--<div class="logo">
					<img src="image/Asus-logo.png">
					<img src="image/msi.png">
				</div>-->
				<div class="navbar">
					<a href="index.html">Home</a>
				</div>
			</div>
		</div><!--Header-->
	<div class='container'>
		

			  <div class='credit-info'>
				<div class='credit-info-content'>
				  <table class='half-input-table'>
					<tr><td>Please select your card: </td><td><div class='dropdown' id='card-dropdown'><div class='dropdown-btn' id='current-card'>Visa</div>
					  <div class='dropdown-select'>
					  <ul>
						<li>Master Card</li>
						<li>American Express</li>
						</ul></div>
					  </div>
					 </td></tr>
				  </table>
				  <img src='https://dl.dropboxusercontent.com/s/ubamyu6mzov5c80/visa_logo%20%281%29.png' height='80' class='credit-card-image' id='credit-card-image'></img>
				  Card Number
				  <input class='input-field' placeholder="0000-0000-0000" type="number"></input>
				  Card Holder
				  <input class='input-field' placeholder="name"></input>
				  <table class='half-input-table'>
					<tr>
					  <td> Expires	
						<input class='input-field' placeholder="00-00" type="number"></input>
					  </td>
					  <td>CVC
						<input class='input-field' placeholder="000" type="number"></input>
					  </td>
					</tr>
				  </table>
				  Address
				  <input class='input-field' placeholder="Address"></input>
				  <br>
				  <a href="order.html"><button class='pay-btn'>Checkout</button></a>
	  
				</div>
	  
			  </div>
			</div>
	  </div>
<script>
var cardDrop = document.getElementById('card-dropdown');
var activeDropdown;
cardDrop.addEventListener('click',function(){
  var node;
  for (var i = 0; i < this.childNodes.length-1; i++)
    node = this.childNodes[i];
    if (node.className === 'dropdown-select') {
      node.classList.add('visible');
       activeDropdown = node; 
    };
})

window.onclick = function(e) {
  console.log(e.target.tagName)
  console.log('dropdown');
  console.log(activeDropdown)
  if (e.target.tagName === 'LI' && activeDropdown){
    if (e.target.innerHTML === 'Master Card') {
      document.getElementById('credit-card-image').src = 'https://dl.dropboxusercontent.com/s/2vbqk5lcpi7hjoc/MasterCard_Logo.svg.png';
          activeDropdown.classList.remove('visible');
      activeDropdown = null;
      e.target.innerHTML = document.getElementById('current-card').innerHTML;
      document.getElementById('current-card').innerHTML = 'Master Card';
    }
    else if (e.target.innerHTML === 'American Express') {
         document.getElementById('credit-card-image').src = 'https://dl.dropboxusercontent.com/s/f5hyn6u05ktql8d/amex-icon-6902.png';
          activeDropdown.classList.remove('visible');
      activeDropdown = null;
      e.target.innerHTML = document.getElementById('current-card').innerHTML;
      document.getElementById('current-card').innerHTML = 'American Express';      
    }
    else if (e.target.innerHTML === 'Visa') {
         document.getElementById('credit-card-image').src = 'https://dl.dropboxusercontent.com/s/ubamyu6mzov5c80/visa_logo%20%281%29.png';
          activeDropdown.classList.remove('visible');
      activeDropdown = null;
      e.target.innerHTML = document.getElementById('current-card').innerHTML;
      document.getElementById('current-card').innerHTML = 'Visa';
    }
  }
  else if (e.target.className !== 'dropdown-btn' && activeDropdown) {
    activeDropdown.classList.remove('visible');
    activeDropdown = null;
  }
}
</script>

</body>

</html>